From: "Hellrung, Lisa" <[email-masked]>
Date: Thu, 8 Jun 2000 15:05:54 -0500

Erik,

I changed the second message to opaque-signed and removed the second
header
but still no getting a security warning that the message has been
tampered
with.

"Content-Type:
application/pkcs7-mime;smime-type=opaque-signed;name=smime.p7m" + vbCrLf
"Content-Transfer-Encoding: base64" + vbCrLf
"Content-Disposition: attachment;" + vbCrLf + "
filename=""smime.p7m"""
+ vbCrLf + vbCrLf
Encoded message

Any other ideas on how to make this work? Thanks.

Lisa

----- Original Message -----
From: "Erik Neuenschwander" <[email-masked] <mailto:[email-masked]>>
To: "Hellrung, Lisa" <[email-masked] <mailto:[email-masked]>>
Sent: Thursday, June 08, 2000 2:16 PM
Subject: Re: Signed message

> This should be opaque-signed, the second kind, the kind that you say
gives
> you errors. How does this one turn out?
>
> see my one inline comment
>
> ----- Original Message -----
> From: "Hellrung, Lisa" <[email-masked] <mailto:[email-masked]>>
> To: <[email-masked] <mailto:[email-masked]>>
> Sent: Thursday, June 08, 2000 11:52 AM
> Subject: Signed message
>
>
> > I was wondering if someone could help me out with the syntax of a
signed
> > message? I am able to send signed and encrypted e-mail but if I only
> sign
> > that e-mail, it will either show up in Outlook and Outlook Express
as a
> > regular message or signed but "Message has been tampered with"
error.
> >
> > When sent with
> >
> > "Content-Type: multipart/signed;
> protocol="application/x-pkcs7-signature";
> > micalg=SHA1;
> > boundary="=====NextPart_qaNWAwffsV5PxkAy7ndv"
> >
> > Message
> >
> > "Content-Type: application/x-pkcs7-signature;" + vbCrLf + "
> > name=""smime.p7s""" + vbCrLf
> > "Content-Transfer-Encoding: base64" + vbCrLf
> > "Content-Disposition: attachment;" + vbCrLf + "
> > filename=""smime.p7s""" + vbCrLf + vbCrLf
> > Encoded signed message
> >
> > It appears as a normal mail message.
> >
> > When sent with
> >
> > "Content-Type:
> application/pkcs7-mime;smime-type=signed-data;name=smime.p7m"
> > + vbCrLf
> > "Content-Type: application/pkcs7-mime;" & vbCrLf + "
> > name=""smime.p7m""" + vbCrLf
> ^^^^^^^^^^^^
> Where is this second Content-Type header coming from?
>
> > "Content-Transfer-Encoding: base64" + vbCrLf
> > "Content-Disposition: attachment;" + vbCrLf + "
> filename=""smime.p7m"""
> > + vbCrLf + vbCrLf
> > encoded message
> >
> > It appears as signed but invalid because message has been tampered
with.
> >
> >
> > If anyone could help me to correct this problem, I would greatly
> appreciate
> > it.
> >
> > Also, the first message works when later encrypted. Thanks.
> >
> >
>